--- Read a file referenced by fileref into a string.
-- @param fileref - either a string or a fileref from sasxx.assign()
function read_fileref( fileref )
   if type(fileref) == "string" then
       fileref =  sasxx.new(fileref)
   end
   local file_handle = fileref:open()
   
   if not file_handle then return end

   local contents = ""
   for line in file_handle:lines() do
     contents = contents .. line .. "\n"
  end
  
  -- take the last carriage return off
  if  string.len(contents) > 1 then
      contents = string.sub(contents,1,string.len(contents)-1)
  end

  file_handle:close()
  return contents
end

--- Read a file referenced by a filename into a string.
-- @param filename - fully qualified pathname to the file
function read_file( filename )
   local fileref = sasxx.assign( filename)
   if not  fileref then return nil end
  
  local contents = read_fileref(fileref)
  fileref:deassign()

  return contents
end

print(  sas.symget("MI_RUN_INSTANCE") )
local str = read_file( sas.symget("MI_RUN_INSTANCE")..'/code/MIPGeneratedCode.sas')

local mip_path, cubename

local lines = string.split(str, "\n")
local pos
local filesprefix, performance, crossclass
   
   for i, line in ipairs(lines) do
       print(line)
       pos = string.find(line, "^[ ]*filesprefix") 
       if pos  then 
	 sas.symput("filesprefix", line);
       end
       pos = string.find(line, "^[ ]*performance") 
       if pos  then 
	  sas.symput("performance", line..' '..lines[i+1]..' '..lines[i+2] )
       end
       pos = string.find(line, "^[ ]*crossclassvars") 
       if pos  then 
	  sas.symput("crossclassvars", line )
       end
   end



