---
--    Copyright (c) 2016 by SAS Institute Inc., Cary, NC, USA.
-- 
---  Code in this file is not a module but rather an entry point for coming from SAS Macro for certain calls.  
--

require 'risk.common.global_init'
local rest = require 'risk.stress.rest_service'

local source = sas.symget('source')   -- which macro are we coming from

--- Conduit for performing HTTP calls to RFW mid-tier for a selected set of macros 
--
if source == 'sst_import_project_data' or 
   source == 'sst_import_global_data' or 
   source == 'sst_export_sheet_data' then
   
   local url = sas.symget('url')
   local request = sas.symget('request')
   local userid = sas.symget('userid')
   local password = sas.symget('password')
   local outvar_http_status_code = sas.symget('outvar_http_status_code')
   local outvar_http_body = sas.symget('outvar_http_body')
   -- print('Lua sst_import_project_data inputs:')
   -- print('url=' .. url)
   -- print('request=' .. request)
   -- print('userid=' .. userid)
   -- print('password=' .. password)
   -- print('outvar_http_status_code=' .. outvar_http_status_code)
   -- print('outvar_http_body=' .. outvar_http_body)
   
   if not rest.url then rest.set_url(url) end
   if userid and userid:len() > 0 then  
      rest.set_auth('basic',userid,password)
   else
      rest.set_auth('ticket')
      local tgt = sas.symget('sst_tgt')       
      rest.set_tgt(tgt)
   end
   local pass, http_response_body, http_status_code = rest.request( 'POST', request, nil, nil, nil, nil )
   
   if outvar_http_status_code and outvar_http_status_code:len()>0 then
      sas.gsymput(outvar_http_status_code, http_status_code)
   end
   if outvar_http_body and outvar_http_body:len()>0 then
      sas.gsymput(outvar_http_body       , http_response_body)
   end
end

-- This file is not a module, it should not return M
